#!/bin/bash

HEAD=`git show -s --pretty=%d HEAD`

CURRENT_HEAD=`echo "$HEAD" | cut -d ',' -f3`

CURRENT_BRANCH=${CURRENT_HEAD//"origin/"/""}

if [[ $CURRENT_BRANCH == *"rework/"* ]]; then
	echo "[CI] Retrabalhos não precisam de changelog C:"
elif [[ $CURRENT_BRANCH == *"feature/"* ]] || [[ $CURRENT_BRANCH == *"bugfix/"* ]]; then
	IFS='/' read -ra ARRAY <<< $CURRENT_BRANCH
	ISSUE_NAME=${ARRAY[1]^^}

	HAS_ON_CHANGELOG=`cat CHANGELOG.md | grep -c "$ISSUE_NAME"`

	if [ $HAS_ON_CHANGELOG -eq 0 ]; then
		echo "[CI] A tarefa $ISSUE_NAME não consta no changelog, por favor insira ela para continuar."
		exit 1
	else
		echo "[CI] Changelog atualizado certinho, bom trabalho <3"
	fi
else
	echo "[CI] Pulando rotina de verificação de changelog"
fi
